tbb::flow::interface7::overwrite_node< T > Class Template Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
tbb::flow::interface7::overwrite_node< T > Class Template Reference
Inheritance diagram for tbb::flow::interface7::overwrite_node< T >:

## Public Types
typedef T | input_type
typedef T | output_type
typedef sender< input_type > | predecessor_type
typedef receiver< output_type > | successor_type
typedef receiver< input_type > ::predecessor_list_type | predecessor_list_type
typedef sender< output_type > ::successor_list_type | successor_list_type
Public Types inherited from tbb::flow::interface7::receiver< T >
typedef T | input_type
| The input type of this receiver.
typedef sender< T > | predecessor_type
| The predecessor type for this node.
typedef internal::edge_container < predecessor_type > ::edge_list_type | predecessor_list_type
Public Types inherited from tbb::flow::interface7::sender< T >
typedef T | output_type
| The output type of this sender.
typedef receiver< T > | successor_type
| The successor type for this node.
typedef internal::edge_container < successor_type > ::edge_list_type | successor_list_type
| interface to record edges for traversal & deletion

## Public Member Functions
| overwrite_node (graph &g)
| overwrite_node (const overwrite_node &src)
void | set_name (const char *name)
bool | register_successor (successor_type &s)
| Add a new successor to this node.
bool | remove_successor (successor_type &s)
| Removes a successor from this node.
void | internal_add_built_successor (successor_type &s)
void | internal_delete_built_successor (successor_type &s)
size_t | successor_count ()
void | copy_successors (successor_list_type &v)
void | internal_add_built_predecessor (predecessor_type &p)
void | internal_delete_built_predecessor (predecessor_type &p)
size_t | predecessor_count ()
void | copy_predecessors (predecessor_list_type &v)
bool | try_get (input_type &v)
| Request an item from the sender.
bool | is_valid ()
void | clear ()
Public Member Functions inherited from tbb::flow::interface7::graph_node
| graph_node (graph &g)
virtual void | extract (reset_flags f=rf_extract)
Public Member Functions inherited from tbb::flow::interface7::receiver< T >
virtual | ~receiver ()
| Destructor.
bool | try_put (const T &t)
| Put an item to the receiver.
virtual bool | register_predecessor (predecessor_type &)
| Add a predecessor to the node.
virtual bool | remove_predecessor (predecessor_type &)
| Remove a predecessor from the node.
Public Member Functions inherited from tbb::flow::interface7::sender< T >
virtual bool | try_reserve (T &)
| Reserves an item in the sender.
virtual bool | try_release ()
| Releases the reserved item.
virtual bool | try_consume ()
| Consumes the reserved item.

## Protected Member Functions
task * | try_put_task (const input_type &v)
void | reset (__TBB_PFG_RESET_ARG(reset_flags f))
void | reset_receiver (__TBB_PFG_RESET_ARG(reset_flags))
Protected Member Functions inherited from tbb::flow::interface7::graph_node
virtual void | reset (__TBB_PFG_RESET_ARG(reset_flags f=rf_reset_protocol))=0
Protected Member Functions inherited from tbb::flow::interface7::receiver< T >
virtual void | reset_receiver (__TBB_PFG_RESET_ARG(reset_flags f=rf_reset_protocol))=0
virtual bool | is_continue_receiver ()

## Protected Attributes
spin_mutex | my_mutex
internal::broadcast_cache < input_type, null_rw_mutex > | my_successors
internal::edge_container < predecessor_type > | my_built_predecessors
input_type | my_buffer
bool | my_buffer_is_valid
Protected Attributes inherited from tbb::flow::interface7::graph_node
graph & | my_graph
graph_node * | next
graph_node * | prev

## Friends
template<typename R , typename B >
class | run_and_put_task
template<typename X , typename Y >
class | internal::broadcast_cache
template<typename X , typename Y >
class | internal::round_robin_cache

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.